Index: LatestMediaHandler/LatestMyFilmsHandler.cs
===================================================================
--- LatestMediaHandler/LatestMyFilmsHandler.cs	(revision 70)
+++ LatestMediaHandler/LatestMyFilmsHandler.cs	(working copy)
@@ -209,44 +209,42 @@
                 int i0 = 1;
                 int x0 = 0;
                 //List<MyFilmsPlugin.MyFilms.MFMovie> movies = MyFilmsPlugin.MyFilms.BaseMesFilms.GetMostRecent(MyFilmsPlugin.MyFilms.BaseMesFilms.MostRecentType.Added);
-                List<MyFilmsPlugin.MyFilms.MFMovie> movies = MyFilmsPlugin.MyFilms.BaseMesFilms.GetMostRecent(MyFilmsPlugin.MyFilms.BaseMesFilms.MostRecentType.Added,999,10);
+                List<MFMovie> movies = MyFilmsPlugin.MyFilms.BaseMesFilms.GetMostRecent(MyFilmsPlugin.MyFilms.BaseMesFilms.MostRecentType.Added, 999, 10, LatestMediaHandlerSetup.LatestMyFilmsWatched.Equals("True"));
 
-                if (movies != null)
+
+              if (movies != null)
                 {
                     foreach (MyFilmsPlugin.MyFilms.MFMovie movie in movies)
                     {
-                        if (((LatestMediaHandlerSetup.LatestMyFilmsWatched.Equals("True") && !movie.Watched) || !LatestMediaHandlerSetup.LatestMyFilmsWatched.Equals("True")))// && !IsDuplicate(movie.Title))
-                        {
-                            string thumb = movie.Picture;                            
-                            if (thumb == null || thumb.Length < 1)
-                            {
-                                thumb = "DefaultFolderBig.png";
-                            }
-                            string tDate = movie.DateAdded;
-                            try
-                            {
-                                DateTime dTmp = DateTime.Parse(tDate);
-                                tDate = String.Format("{0:" + LatestMediaHandlerSetup.DateFormat + "}", dTmp);
-                            }
-                            catch
-                            { }
-                            resultTmp.Add(new Latest(tDate, thumb, movie.Fanart, movie.Title, null, null, null, movie.Category, movie.Rating.ToString(), Math.Round(movie.Rating, MidpointRounding.AwayFromZero).ToString(CultureInfo.CurrentCulture), null, movie.Length.ToString(), movie.Year.ToString(), null, null, null, movie, movie.ID.ToString(), null, null));
-                            if (result == null || result.Count == 0)
-                            {
-                                result = resultTmp;
-                            }
-                            latestMovies.Add(i0, movie);
-                  //          if (facade != null)
-                    //        {
-                                AddToFilmstrip(resultTmp[x0], i0);
+                      string thumb = movie.Picture;
+                      if (thumb == null || thumb.Length < 1)
+                      {
+                        thumb = "DefaultFolderBig.png";
+                      }
+                      string tDate = movie.DateAdded;
+                      try
+                      {
+                        DateTime dTmp = DateTime.Parse(tDate);
+                        tDate = String.Format("{0:" + LatestMediaHandlerSetup.DateFormat + "}", dTmp);
+                      }
+                      catch
+                      { }
+                      resultTmp.Add(new Latest(tDate, thumb, movie.Fanart, movie.Title, null, null, null, movie.Category, movie.Rating.ToString(), Math.Round(movie.Rating, MidpointRounding.AwayFromZero).ToString(CultureInfo.CurrentCulture), null, movie.Length.ToString(), movie.Year.ToString(), null, null, null, movie, movie.ID.ToString(), null, null));
+                      if (result == null || result.Count == 0)
+                      {
+                        result = resultTmp;
+                      }
+                      latestMovies.Add(i0, movie);
+                      //          if (facade != null)
+                      //        {
+                      AddToFilmstrip(resultTmp[x0], i0);
                       //      }
-                            i0++;
-                            x0++;
-                            if (i0 == 10)
-                            {
-                                break;
-                            }
-                        }
+                      i0++;
+                      x0++;
+                      if (i0 == 10)
+                      {
+                        break;
+                      }
                     }
                 }
                 if (facade != null)
